
QGIS Application - Bug report #21096

Move selection to top doesn't worked when table is unsaved

2019-01-25 12:10 PM - Patrick Dunford

Status: Open

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.6.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28914

Description

If changing data in a file based geopackage table.

Select a rown in the table, if the button to move selection to top is pressed, that record will not move to the top if there are records in the

table that have not been saved.

Related issues:

Duplicated by QGIS Application - Bug report # 21217: Attribute Table - [Move ... Closed 2019-02-09

Duplicated by QGIS Application - Bug report # 21348: Move to top Closed 2019-02-22

History

#1 - 2019-01-25 12:34 PM - Giovanni Manghi

- Category changed from GUI to Attribute table

- Operating System deleted (Debian 9)

#2 - 2019-01-29 09:17 PM - Etienne Trimaille

- File Screenshot from 2019-01-29 16-14-10.png added

I can confirm that "Move selection to top" is not working for me. Even if the table is saved, the selection is not at the top. (cf screenshot).

I noticed the same behavior yesterday on another computer.

But if I click on another column header, then the "move selection to top" is working.

#3 - 2019-02-11 06:35 PM - Giovanni Manghi

- Duplicated by Bug report #21217: Attribute Table - [Move Selection to top] doesn't apply on current selection while toggling on added

#4 - 2019-02-19 01:09 PM - Pedro Venâncio

I confirm this one, both on 3.4.4 (code revision 12c660a51e) and master (code revision b711ef01f8).

Etienne Trimaille wrote:

I can confirm that "Move selection to top" is not working for me. Even if the table is saved, the selection is not at the top. (cf screenshot).

I noticed the same behavior yesterday on another computer.

But if I click on another column header, then the "move selection to top" is working.
Also selecting "Move selection to top", then "Invert selection" two times, the "Move selection to top" works.

#5 - 2019-02-19 01:11 PM - Pedro Venâncio

Tested in Windows, with PostGIS layers and shapefiles, with Toggle Editing closed.

#6 - 2019-02-19 06:17 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

- Status changed from Open to Feedback

Pedro Venâncio wrote:

Tested in Windows, with PostGIS layers and shapefiles, with Toggle Editing closed.

this is a regression, correct?

#7 - 2019-02-20 10:35 AM - Pedro Venâncio

Giovanni Manghi wrote:

this is a regression, correct?

Yes, definitively Giovanni. I tested in another machine that still have QGIS 3.4.3 (code revision b557cc265a) and it works as expected.

#8 - 2019-02-20 10:58 AM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2019-02-22 10:06 AM - Jürgen Fischer

- Duplicated by Bug report #21348: Move to top  added

#10 - 2019-04-27 03:39 PM - Bernd Vogelgesang

Still not working in 3.6.2

#11 - 2019-05-01 06:00 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.4 to 3.6.2

#12 - 2019-05-20 12:04 PM - Bernd Vogelgesang

Just installed 3.6.3. In "general" the selection to top button works now. What is different to past behaviour is, that when you already have a selection and

click the button, nothing happens. Only when you make a new selection while the button is already active, it sorts the selection to top. So, I still see a

regression here.
Files

Screenshot from 2019-01-29 16-14-10.png 51.1 KB 2019-01-29 Etienne Trimaille
